--- a/Makefile.PL
+++ b/Makefile.PL
@@ -24,7 +24,7 @@ BEGIN {
 
 }
 
-use lib qw(lib Apache-Test/lib);
+use lib qw(lib);
 
 use Config;
 use File::Spec::Functions;
@@ -117,16 +117,6 @@ sub get_DEFINE {
 }
 
 sub configure {
-
-    # mod_perl test suite relies on having Apache-Test bundled with
-    # the mod_perl source, since any pre-installed version may not do
-    # the right thing
-    unless (-d "Apache-Test") {
-        error "Can't find a sub-directory Apache-Test. " .
-            "Make sure that you are using a complete source distribution";
-        exit 1;
-    }
-
     set_modperl_version();
 
     if ($old_modperl_version) {
@@ -798,14 +788,9 @@ run_tests : test_clean
 run_subtests ::
 	cd ModPerl-Registry && $(MAKE) test
 
-run_subtests ::
-	cd Apache-Reload && $(MAKE) test
-
 EOF
 
     $preamble .= <<'EOF' unless $build->mpm_is_threaded();
-run_subtests ::
-	cd Apache-SizeLimit && $(MAKE) test
 
 EOF
 
@@ -816,37 +801,6 @@ EOF
     return $preamble;
 }
 
-sub MY::postamble {
-    my $self = shift;
-
-    my $string = $self->ModPerl::BuildMM::MY::postamble;
-
-    $string .= <<'EOF';
-mydist : Apache-Test/META.yml mod_perl.spec manifest tardist
-
-rpm: dist
-	@[ -d $(PWD)/rpm ] || mkdir $(PWD)/rpm
-	rpmbuild -ta --define "_rpmdir $(PWD)/rpm" \
-                 --define "_srcrpmdir $(PWD)/rpm" \
-                 $(DISTVNAME).tar.gz
-	@mv $(PWD)/rpm/*/*.rpm $(PWD)/rpm/
-	@rm -rf $(PWD)/rpm/*/
-    
-mod_perl.spec: build/make_rpm_spec
-	$(PERL) build/make_rpm_spec
-
-Apache-Test/META.yml:
-	cd Apache-Test && make metafile
-
-tag :
-	svn copy  https://svn.apache.org/repos/asf/perl/modperl/trunk  https://svn.apache.org/repos/asf/perl/modperl/branches/release/$(VERSION_SYM)
-	svn copy  https://svn.apache.org/repos/asf/perl/modperl/branches/release/$(VERSION_SYM)  https://svn.apache.org/repos/asf/perl/modperl/tags/$(VERSION_SYM)
-	svn copy  https://svn.apache.org/repos/asf/perl/modperl/docs/trunk https://svn.apache.org/repos/asf/perl/modperl/docs/tags/$(VERSION_SYM)
-EOF
-
-    return $string;
-}
-
 # this is a workaround so that ModPerl::MM will move MY::constants
 # away, and Apache-Test/Makefile.PL which has its own MY::constants
 # won't get complaints on MY::constants redefined
--- a/ModPerl-Registry/Makefile.PL
+++ b/ModPerl-Registry/Makefile.PL
@@ -14,7 +14,7 @@ use Apache::TestMM qw(test clean);
 
 # prerequisites
 my %require = (
-    "Apache::Test" => "", # any version will do?
+    "Apache::Test" => 0, # any version will do?
 );
 
 my @scripts = qw(t/TEST t/SMOKE);
--- a/lib/ModPerl/BuildMM.pm
+++ b/lib/ModPerl/BuildMM.pm
@@ -38,12 +38,10 @@ my @methods = grep *{$stash->{$_}}{CODE}
 ModPerl::MM::override_eu_mm_mv_all_methods(@methods);
 use strict 'refs';
 
-my $apache_test_dir = catdir Cwd::getcwd(), "Apache-Test", "lib";
-
 #to override MakeMaker MOD_INSTALL macro
 sub mod_install {
     q{$(PERL) -I$(INST_LIB) -I$(PERL_LIB) \\}."\n" .
-    qq{-I$apache_test_dir -MModPerl::BuildMM \\}."\n" .
+    qq{-MModPerl::BuildMM \\}."\n" .
     q{-e "ExtUtils::Install::install({@ARGV},'$(VERBINST)',0,'$(UNINST)');"}."\n";
 }
 
@@ -269,7 +267,7 @@ sub ModPerl::BuildMM::MY::postamble {
 
                 push @target,
                     '$(FULLPERL) -I$(INST_LIB) ' .
-                    "-I$apache_test_dir -MModPerl::BuildMM " .
+                    "-MModPerl::BuildMM " .
                     "-e ModPerl::BuildMM::glue_pod $pm $podpath $blib";
 
                 # Win32 doesn't normally install man pages
--- a/lib/ModPerl/Manifest.pm
+++ b/lib/ModPerl/Manifest.pm
@@ -33,7 +33,6 @@ our @EXPORT_OK = qw(mkmanifest);
 my @add_files = qw{
     MANIFEST
     mod_perl.spec
-    Apache-Test/META.yml
 };
 
 sub get_svn_files {
